Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 3178)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 3182)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Rename variables for boundary-condition flags and for offline nesting mode 
 ! 
 ! Former revisions:
@@ -460,8 +460,7 @@
 
        USE control_parameters,                                                 &
-           ONLY:  force_bound_l, force_bound_n, force_bound_r, force_bound_s,  &
-                  inflow_l, inflow_n, inflow_r, inflow_s, momentum_advec,      &
-                  nest_bound_l, nest_bound_n, nest_bound_r, nest_bound_s,      &
-                  outflow_l, outflow_n, outflow_r, outflow_s, scalar_advec
+           ONLY:  bc_dirichlet_l, bc_dirichlet_n, bc_dirichlet_r,              &
+                  bc_dirichlet_s, bc_radiation_l, bc_radiation_n,              &
+                  bc_radiation_r, bc_radiation_s, momentum_advec, scalar_advec
 
        USE indices,                                                            &
@@ -501,9 +500,7 @@
                     .OR.  .NOT. BTEST(wall_flags_0(k,j,i+2),0)                 &   
                     .OR.  .NOT. BTEST(wall_flags_0(k,j,i-1),0) )               &
-                      .OR.  ( ( inflow_l .OR. outflow_l .OR. nest_bound_l  .OR.&
-                                force_bound_l )                                &
+                      .OR.  ( ( bc_dirichlet_l .OR. bc_radiation_l )           &
                             .AND.  i == nxl   )                                &
-                      .OR.  ( ( inflow_r .OR. outflow_r .OR. nest_bound_r  .OR.&
-                                force_bound_r )                                &
+                      .OR.  ( ( bc_dirichlet_r .OR. bc_radiation_r )           &
                             .AND.  i == nxr   ) )                              &
                    THEN
@@ -520,9 +517,7 @@
                             )                                                  &
                                                     .OR.                       &
-                            ( ( inflow_r .OR. outflow_r .OR. nest_bound_r  .OR.&
-                                force_bound_r )                                &
+                            ( ( bc_dirichlet_r .OR. bc_radiation_r )           &
                               .AND. i == nxr-1 )    .OR.                       &
-                            ( ( inflow_l .OR. outflow_l .OR. nest_bound_l  .OR.&
-                                force_bound_l )                                &
+                            ( ( bc_dirichlet_l .OR. bc_radiation_l )           &
                               .AND. i == nxlu  ) )                             & ! why not nxl+1
                    THEN
@@ -542,9 +537,7 @@
                     .OR.  .NOT. BTEST(wall_flags_0(k,j+2,i),0)                 &   
                     .OR.  .NOT. BTEST(wall_flags_0(k,j-1,i),0))                &
-                      .OR.  ( ( inflow_s .OR. outflow_s .OR. nest_bound_s  .OR.&
-                                force_bound_s )                                &
+                      .OR.  ( ( bc_dirichlet_s .OR. bc_radiation_s )           &
                             .AND.  j == nys   )                                &
-                      .OR.  ( ( inflow_n .OR. outflow_n .OR. nest_bound_n  .OR.&
-                                force_bound_n )                                &
+                      .OR.  ( ( bc_dirichlet_n .OR. bc_radiation_n )           &
                             .AND.  j == nyn   ) )                              &
                    THEN
@@ -563,9 +556,7 @@
                             )                                                  &
                                                     .OR.                       &
-                            ( ( inflow_s .OR. outflow_s .OR. nest_bound_s  .OR.&
-                                force_bound_s )                                &
+                            ( ( bc_dirichlet_s .OR. bc_radiation_s )           &
                               .AND. j == nysv  )    .OR.                       & ! why not nys+1
-                            ( ( inflow_n .OR. outflow_n .OR. nest_bound_n  .OR.&
-                                force_bound_n )                                &
+                            ( ( bc_dirichlet_n .OR. bc_radiation_n )           &
                               .AND. j == nyn-1 ) )                             &          
                    THEN
@@ -655,9 +646,7 @@
 !--                WS1 (9), WS3 (10), WS5 (11)
                    IF ( .NOT. BTEST(wall_flags_0(k,j,i+1),1)  .OR.             &
-                            ( ( inflow_l .OR. outflow_l .OR. nest_bound_l  .OR.&
-                                force_bound_l )                                &
+                            ( ( bc_dirichlet_l .OR. bc_radiation_l )           &
                               .AND. i <= nxlu  )    .OR.                       &
-                            ( ( inflow_r .OR. outflow_r .OR. nest_bound_r  .OR.&
-                                force_bound_r )                                &
+                            ( ( bc_dirichlet_r .OR. bc_radiation_r )           &
                               .AND. i == nxr   ) )                             &
                    THEN
@@ -667,9 +656,7 @@
                               .NOT. BTEST(wall_flags_0(k,j,i-1),1) )           &
                                                         .OR.                   &
-                            ( ( inflow_r .OR. outflow_r .OR. nest_bound_r  .OR.&
-                                force_bound_r )                                &
+                            ( ( bc_dirichlet_r .OR. bc_radiation_r )           &
                               .AND. i == nxr-1 )    .OR.                       &
-                            ( ( inflow_l .OR. outflow_l .OR. nest_bound_l  .OR.&
-                                force_bound_l )                                &
+                            ( ( bc_dirichlet_l .OR. bc_radiation_l )           &
                               .AND. i == nxlu+1) )                             &
                    THEN
@@ -691,9 +678,7 @@
 !--                WS1 (12), WS3 (13), WS5 (14)
                    IF ( .NOT. BTEST(wall_flags_0(k,j+1,i),1)   .OR.            &
-                            ( ( inflow_s .OR. outflow_s .OR. nest_bound_s  .OR.&
-                                force_bound_s )                                &
+                            ( ( bc_dirichlet_s .OR. bc_radiation_s )           &
                               .AND. j == nys   )    .OR.                       &
-                            ( ( inflow_n .OR. outflow_n .OR. nest_bound_n  .OR.&
-                                force_bound_n )                                &
+                            ( ( bc_dirichlet_n .OR. bc_radiation_n )           &
                               .AND. j == nyn   ) )                             &
                    THEN
@@ -703,9 +688,7 @@
                               .NOT. BTEST(wall_flags_0(k,j-1,i),1) )           &
                                                         .OR.                   &
-                            ( ( inflow_s .OR. outflow_s .OR. nest_bound_s  .OR.&
-                                force_bound_s )                                &
+                            ( ( bc_dirichlet_s .OR. bc_radiation_s )           &
                               .AND. j == nysv  )    .OR.                       &
-                            ( ( inflow_n .OR. outflow_n .OR. nest_bound_n  .OR.&
-                                force_bound_n )                                &
+                            ( ( bc_dirichlet_n .OR. bc_radiation_n )           &
                               .AND. j == nyn-1 ) )                             &
                    THEN
@@ -789,9 +772,7 @@
 !--                WS1 (18), WS3 (19), WS5 (20)
                    IF ( .NOT. BTEST(wall_flags_0(k,j,i+1),2)  .OR.             &
-                            ( ( inflow_l .OR. outflow_l .OR. nest_bound_l  .OR.&
-                                force_bound_l )                                &
+                            ( ( bc_dirichlet_l .OR. bc_radiation_l )           &
                               .AND. i == nxl   )    .OR.                       &
-                            ( ( inflow_r .OR. outflow_r .OR. nest_bound_r  .OR.&
-                                force_bound_r )                                &
+                            ( ( bc_dirichlet_r .OR. bc_radiation_r )           &
                               .AND. i == nxr   ) )                             &
                   THEN
@@ -803,9 +784,7 @@
                               .NOT. BTEST(wall_flags_0(k,j,i-1),2)             &
                                                     .OR.                       &
-                            ( ( inflow_r .OR. outflow_r .OR. nest_bound_r  .OR.&
-                                force_bound_r )                                &
+                            ( ( bc_dirichlet_r .OR. bc_radiation_r )           &
                               .AND. i == nxr-1 )    .OR.                       &
-                            ( ( inflow_l .OR. outflow_l .OR. nest_bound_l  .OR.&
-                                force_bound_l )                                &
+                            ( ( bc_dirichlet_l .OR. bc_radiation_l )           &
                               .AND. i == nxlu  ) )                             &
                    THEN
@@ -827,9 +806,7 @@
 !--                WS1 (21), WS3 (22), WS5 (23)
                    IF ( .NOT. BTEST(wall_flags_0(k,j+1,i),2) .OR.              &
-                            ( ( inflow_s .OR. outflow_s .OR. nest_bound_s  .OR.&
-                                force_bound_s )                                &
+                            ( ( bc_dirichlet_s .OR. bc_radiation_s )           &
                               .AND. j <= nysv  )    .OR.                       &
-                            ( ( inflow_n .OR. outflow_n .OR. nest_bound_n  .OR.&
-                                force_bound_n )                                &
+                            ( ( bc_dirichlet_n .OR. bc_radiation_n )           &
                               .AND. j == nyn   ) )                             &
                    THEN
@@ -839,9 +816,7 @@
                               .NOT. BTEST(wall_flags_0(k,j-1,i),2) )           &
                                                         .OR.                   &
-                            ( ( inflow_s .OR. outflow_s .OR. nest_bound_s  .OR.&
-                                force_bound_s )                                &
+                            ( (  bc_dirichlet_s .OR. bc_radiation_s )          &
                               .AND. j == nysv+1)    .OR.                       &
-                            ( ( inflow_n .OR. outflow_n .OR. nest_bound_n  .OR.&
-                                force_bound_n )                                &
+                            ( (  bc_dirichlet_n .OR. bc_radiation_n )          &
                               .AND. j == nyn-1 ) )                             &
                    THEN
@@ -924,9 +899,7 @@
 !--                WS1 (27), WS3 (28), WS5 (29)
                    IF ( .NOT. BTEST(wall_flags_0(k,j,i+1),3) .OR.              &
-                            ( ( inflow_l .OR. outflow_l .OR. nest_bound_l  .OR.&
-                                force_bound_l )                                &
+                            ( (  bc_dirichlet_l .OR. bc_radiation_l )          &
                               .AND. i == nxl   )    .OR.                       &
-                            ( ( inflow_r .OR. outflow_r .OR. nest_bound_r  .OR.&
-                                force_bound_r )                                &
+                            ( (  bc_dirichlet_r .OR. bc_radiation_r )          &
                               .AND. i == nxr   ) )                             &
                    THEN
@@ -936,9 +909,7 @@
                               .NOT. BTEST(wall_flags_0(k,j,i-1),3) )           &
                                                         .OR.                   &
-                            ( ( inflow_r .OR. outflow_r .OR. nest_bound_r  .OR.&
-                                force_bound_r )                                &
+                            ( ( bc_dirichlet_r .OR. bc_radiation_r )           &
                               .AND. i == nxr-1 )    .OR.                       &
-                            ( ( inflow_l .OR. outflow_l .OR. nest_bound_l  .OR.&
-                                force_bound_l )                                &
+                            ( ( bc_dirichlet_l .OR.  bc_radiation_l )          &
                               .AND. i == nxlu  ) )                             &
                    THEN
@@ -960,9 +931,7 @@
 !--                WS1 (30), WS3 (31), WS5 (32)
                    IF ( .NOT. BTEST(wall_flags_0(k,j+1,i),3) .OR.              &
-                            ( ( inflow_s .OR. outflow_s .OR. nest_bound_s  .OR.&
-                                force_bound_s )                                &
+                            ( ( bc_dirichlet_s .OR. bc_radiation_s )           &
                               .AND. j == nys   )    .OR.                       &
-                            ( ( inflow_n .OR. outflow_n .OR. nest_bound_n  .OR.&
-                                force_bound_n )                                &
+                            ( ( bc_dirichlet_n .OR. bc_radiation_n )           &
                               .AND. j == nyn   ) )                             &
                    THEN
@@ -972,9 +941,7 @@
                               .NOT. BTEST(wall_flags_0(k,j-1,i),3) )           &
                                                         .OR.                   &
-                            ( ( inflow_s .OR. outflow_s .OR. nest_bound_s  .OR.&
-                                force_bound_s )                                &
+                            ( ( bc_dirichlet_s .OR. bc_radiation_s )           &
                               .AND. j == nysv  )    .OR.                       &
-                            ( ( inflow_n .OR. outflow_n .OR. nest_bound_n  .OR.&
-                                force_bound_n )                                &
+                            ( ( bc_dirichlet_n .OR. bc_radiation_n )           &
                               .AND. j == nyn-1 ) )                             &
                    THEN
@@ -1067,24 +1034,20 @@
 !--       Set boundary flags at inflow and outflow boundary in case of 
 !--       non-cyclic boundary conditions.
-          IF ( inflow_l      .OR.  outflow_l  .OR.                             &
-               nest_bound_l  .OR.  force_bound_l )  THEN
+          IF ( bc_dirichlet_l  .OR.  bc_radiation_l )  THEN
              advc_flags_1(:,:,nxl-1) = advc_flags_1(:,:,nxl)
              advc_flags_2(:,:,nxl-1) = advc_flags_2(:,:,nxl)
           ENDIF
 
-          IF ( inflow_r      .OR.  outflow_r  .OR.                             &
-               nest_bound_r  .OR.  force_bound_r )  THEN
+          IF ( bc_dirichlet_r  .OR.  bc_radiation_r )  THEN
             advc_flags_1(:,:,nxr+1) = advc_flags_1(:,:,nxr)
             advc_flags_2(:,:,nxr+1) = advc_flags_2(:,:,nxr)
           ENDIF
 
-          IF ( inflow_n      .OR.  outflow_n  .OR.                             &
-               nest_bound_n  .OR.  force_bound_n )  THEN
+          IF ( bc_dirichlet_n  .OR.  bc_radiation_n )  THEN
              advc_flags_1(:,nyn+1,:) = advc_flags_1(:,nyn,:)
              advc_flags_2(:,nyn+1,:) = advc_flags_2(:,nyn,:)
           ENDIF
 
-          IF ( inflow_s      .OR.  outflow_s  .OR.                             &
-               nest_bound_s  .OR.  force_bound_s )  THEN
+          IF ( bc_dirichlet_s  .OR.  bc_radiation_s )  THEN
              advc_flags_1(:,nys-1,:) = advc_flags_1(:,nys,:)
              advc_flags_2(:,nys-1,:) = advc_flags_2(:,nys,:)
Index: palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/boundary_conds.f90	(revision 3178)
+++ palm/trunk/SOURCE/boundary_conds.f90	(revision 3182)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Rename some variables concerning LES-LES as well as offline nesting
 ! 
 ! Former revisions:
@@ -186,5 +186,6 @@
     USE arrays_3d,                                                             &
         ONLY:  c_u, c_u_m, c_u_m_l, c_v, c_v_m, c_v_m_l, c_w, c_w_m, c_w_m_l,  &
-               diss, diss_p, dzu, e_p, nc_p, nr_p, pt, pt_p, q, q_p, qc_p, qr_p, s,  & 
+               diss, diss_p, dzu, e_p, nc_p, nr_p, pt, pt_p, q, q_p, qc_p,     &
+               qr_p, s,                                                        & 
                s_p, sa, sa_p, u, ug, u_init, u_m_l, u_m_n, u_m_r, u_m_s, u_p,  &
                v, vg, v_init, v_m_l, v_m_n, v_m_r, v_m_s, v_p,                 &
@@ -195,14 +196,14 @@
               
     USE control_parameters,                                                    &
-        ONLY:  air_chemistry, bc_pt_t_val, bc_q_t_val, bc_s_t_val,             &
-               constant_diffusion, cloud_physics, coupling_mode, dt_3d,        &
-               force_bound_l, force_bound_s, forcing, humidity,                &
-               ibc_pt_b, ibc_pt_t, ibc_q_b, ibc_q_t, ibc_s_b, ibc_s_t,         &
-               ibc_sa_t, ibc_uv_b, ibc_uv_t, inflow_l, inflow_n, inflow_r,     &
-               inflow_s, intermediate_timestep_count, kappa,                   &
-               microphysics_morrison, microphysics_seifert, nest_domain,       &
-               nest_bound_l, nest_bound_n, nest_bound_r, nest_bound_s, nudging,&
-               ocean, outflow_l, outflow_n, outflow_r, outflow_s,              &
-               passive_scalar, rans_mode, rans_tke_e, tsc, use_cmax
+        ONLY:  air_chemistry, bc_dirichlet_l, bc_dirichlet_n, bc_dirichlet_r,  &
+               bc_dirichlet_s, bc_radiation_l, bc_radiation_n, bc_radiation_r, &
+               bc_radiation_s, bc_pt_t_val, bc_q_t_val, bc_s_t_val,            &
+               child_domain, constant_diffusion, cloud_physics, coupling_mode, &
+               dt_3d, humidity, ibc_pt_b, ibc_pt_t, ibc_q_b, ibc_q_t, ibc_s_b, &
+               ibc_s_t,ibc_sa_t, ibc_uv_b, ibc_uv_t,                           &
+               intermediate_timestep_count, kappa,                             &
+               microphysics_morrison, microphysics_seifert,                    &
+               nesting_offline, nudging,                                       &
+               ocean, passive_scalar, rans_mode, rans_tke_e, tsc, use_cmax
 
     USE grid_variables,                                                        &
@@ -275,5 +276,5 @@
 !
 !-- Vertical nesting: Vertical velocity not zero at the top of the fine grid
-    IF (  .NOT.  nest_domain  .AND.                                            &
+    IF (  .NOT.  child_domain  .AND.                                           &
                  TRIM(coupling_mode) /= 'vnested_fine' )  THEN
        w_p(nzt:nzt+1,:,:) = 0.0_wp  !< nzt is not a prognostic level (but cf. pres)
@@ -409,5 +410,5 @@
        ENDIF
 
-       IF ( .NOT. nest_domain )  THEN
+       IF ( .NOT. child_domain )  THEN
           e_p(nzt+1,:,:) = e_p(nzt,:,:)
 !
@@ -421,11 +422,9 @@
           IF ( rans_mode_parent  .AND.  .NOT. rans_mode )  THEN
 
-
-
              e_p(nzt+1,:,:) = e_p(nzt,:,:)
-             IF ( nest_bound_l )  e_p(:,:,nxl-1) = e_p(:,:,nxl)
-             IF ( nest_bound_r )  e_p(:,:,nxr+1) = e_p(:,:,nxr)
-             IF ( nest_bound_s )  e_p(:,nys-1,:) = e_p(:,nys,:)
-             IF ( nest_bound_n )  e_p(:,nyn+1,:) = e_p(:,nyn,:)
+             IF ( bc_dirichlet_l )  e_p(:,:,nxl-1) = e_p(:,:,nxl)
+             IF ( bc_dirichlet_r )  e_p(:,:,nxr+1) = e_p(:,:,nxr)
+             IF ( bc_dirichlet_s )  e_p(:,nys-1,:) = e_p(:,nys,:)
+             IF ( bc_dirichlet_n )  e_p(:,nyn+1,:) = e_p(:,nyn,:)
 
           ENDIF
@@ -510,5 +509,5 @@
        ENDDO
 
-       IF ( .NOT. nest_domain )  THEN
+       IF ( .NOT. child_domain )  THEN
           diss_p(nzt+1,:,:) = diss_p(nzt,:,:)
        ENDIF
@@ -697,13 +696,13 @@
 !-- have to be restored here.
 !-- For the SGS-TKE, Neumann boundary conditions are used at the inflow.
-    IF ( inflow_s )  THEN
+    IF ( bc_dirichlet_s )  THEN
        v_p(:,nys,:) = v_p(:,nys-1,:)
        IF ( .NOT. constant_diffusion ) e_p(:,nys-1,:) = e_p(:,nys,:)
-    ELSEIF ( inflow_n )  THEN
+    ELSEIF ( bc_dirichlet_n )  THEN
        IF ( .NOT. constant_diffusion ) e_p(:,nyn+1,:) = e_p(:,nyn,:)
-    ELSEIF ( inflow_l ) THEN
+    ELSEIF ( bc_dirichlet_l ) THEN
        u_p(:,:,nxl) = u_p(:,:,nxl-1)
        IF ( .NOT. constant_diffusion ) e_p(:,:,nxl-1) = e_p(:,:,nxl)
-    ELSEIF ( inflow_r )  THEN
+    ELSEIF ( bc_dirichlet_r )  THEN
        IF ( .NOT. constant_diffusion ) e_p(:,:,nxr+1) = e_p(:,:,nxr)
     ENDIF
@@ -712,10 +711,12 @@
 !-- The same restoration for u at i=nxl and v at j=nys as above must be made
 !-- in case of nest boundaries. This must not be done in case of vertical nesting 
-!-- mode as in that case the lateral boundaries are actually cyclic.
-    IF ( nesting_mode /= 'vertical'  .OR.  forcing )  THEN
-       IF ( nest_bound_s  .OR.  force_bound_s )  THEN
+!-- mode as in that case the lateral boundaries are actually cyclic. 
+!-- @todo: Is this really needed? Boundary values will be overwritten in 
+!--        coupler or by Inifor data.
+    IF ( nesting_mode /= 'vertical'  .OR.  nesting_offline )  THEN
+       IF ( bc_dirichlet_s )  THEN
           v_p(:,nys,:) = v_p(:,nys-1,:)
        ENDIF
-       IF ( nest_bound_l  .OR.  force_bound_l )  THEN
+       IF ( bc_dirichlet_l )  THEN
           u_p(:,:,nxl) = u_p(:,:,nxl-1)
        ENDIF
@@ -724,5 +725,5 @@
 !
 !-- Lateral boundary conditions for scalar quantities at the outflow
-    IF ( outflow_s )  THEN
+    IF ( bc_radiation_s )  THEN
        pt_p(:,nys-1,:)     = pt_p(:,nys,:)
        IF ( .NOT. constant_diffusion )  e_p(:,nys-1,:) = e_p(:,nys,:)
@@ -740,5 +741,5 @@
        ENDIF
        IF ( passive_scalar )  s_p(:,nys-1,:) = s_p(:,nys,:)
-    ELSEIF ( outflow_n )  THEN
+    ELSEIF ( bc_radiation_n )  THEN
        pt_p(:,nyn+1,:)     = pt_p(:,nyn,:)
        IF ( .NOT. constant_diffusion )  e_p(:,nyn+1,:) = e_p(:,nyn,:)
@@ -756,5 +757,5 @@
        ENDIF
        IF ( passive_scalar )  s_p(:,nyn+1,:) = s_p(:,nyn,:)
-    ELSEIF ( outflow_l )  THEN
+    ELSEIF ( bc_radiation_l )  THEN
        pt_p(:,:,nxl-1)     = pt_p(:,:,nxl)
        IF ( .NOT. constant_diffusion )  e_p(:,:,nxl-1) = e_p(:,:,nxl)
@@ -772,5 +773,5 @@
        ENDIF
        IF ( passive_scalar )  s_p(:,:,nxl-1) = s_p(:,:,nxl)
-    ELSEIF ( outflow_r )  THEN
+    ELSEIF ( bc_radiation_r )  THEN
        pt_p(:,:,nxr+1)     = pt_p(:,:,nxr)
        IF ( .NOT. constant_diffusion )  e_p(:,:,nxr+1) = e_p(:,:,nxr)
@@ -799,5 +800,5 @@
 !-- ensures numerical stability (CFL-condition) or calculated after
 !-- Orlanski(1976) and averaged along the outflow boundary.
-    IF ( outflow_s )  THEN
+    IF ( bc_radiation_s )  THEN
 
        IF ( use_cmax )  THEN
@@ -938,5 +939,5 @@
     ENDIF
 
-    IF ( outflow_n )  THEN
+    IF ( bc_radiation_n )  THEN
 
        IF ( use_cmax )  THEN
@@ -1077,5 +1078,5 @@
     ENDIF
 
-    IF ( outflow_l )  THEN
+    IF ( bc_radiation_l )  THEN
 
        IF ( use_cmax )  THEN
@@ -1216,5 +1217,5 @@
     ENDIF
 
-    IF ( outflow_r )  THEN
+    IF ( bc_radiation_r )  THEN
 
        IF ( use_cmax )  THEN
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 3178)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 3182)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Rename boundary conditions in offline nesting
 ! 
 ! Former revisions:
@@ -1069,4 +1069,5 @@
 !-- Check turbulence closure setup
     CALL tcm_check_parameters
+
 !
 !-- Check approximation
@@ -1437,4 +1438,5 @@
        CALL MPI_ALLREDUCE( dt_spinup,   dt_spinup_max,   1, MPI_REAL,          &
                            MPI_MAX, MPI_COMM_WORLD, ierr )
+
        IF ( spinup_time /= spinup_time_max  .OR.  dt_spinup /= dt_spinup_max ) &
        THEN
@@ -1781,5 +1783,5 @@
 !
 !-- Overwrite latitude if necessary and compute Coriolis parameter. 
-!-- To do - move initialization of f and fs to coriolis_mod.
+!-- @todo - move initialization of f and fs to coriolis_mod.
     IF ( input_pids_static )  THEN
        latitude  = init_model%latitude
@@ -1976,5 +1978,5 @@
 !-- TO_DO: later set bc_p_t to neumann before, in case of nested domain
     ELSEIF ( bc_p_t == 'neumann' .OR. bc_p_t == 'nested'  .OR.                 &
-             bc_p_t == 'forcing'  )  THEN
+             bc_p_t == 'nesting_offline'  )  THEN
        ibc_p_t = 1
     ELSE
@@ -2006,5 +2008,5 @@
     ELSEIF ( bc_pt_t == 'initial_gradient' )  THEN
        ibc_pt_t = 2
-    ELSEIF ( bc_pt_t == 'nested'  .OR.  bc_pt_t == 'forcing' )  THEN
+    ELSEIF ( bc_pt_t == 'nested'  .OR.  bc_pt_t == 'nesting_offline' )  THEN
        ibc_pt_t = 3
     ELSE
@@ -2234,5 +2236,5 @@
        ELSEIF ( bc_uv_t == 'neumann' )  THEN
           ibc_uv_t = 1
-       ELSEIF ( bc_uv_t == 'nested'  .OR.  bc_uv_t == 'forcing' )  THEN
+       ELSEIF ( bc_uv_t == 'nested'  .OR.  bc_uv_t == 'nesting_offline' )  THEN
           ibc_uv_t = 3
        ELSE
@@ -3926,5 +3928,5 @@
           dist_nxl    = MAX( inflow_disturbance_begin, nxl )
           dist_nxr(1) = MIN( inflow_disturbance_end, nxr )
-       ELSEIF ( bc_lr == 'nested'  .OR.  bc_lr == 'forcing' )  THEN
+       ELSEIF ( bc_lr == 'nested'  .OR.  bc_lr == 'nesting_offline' )  THEN
           dist_nxl    = MAX( inflow_disturbance_begin, nxl )
           dist_nxr    = MIN( nx - inflow_disturbance_begin, nxr )
@@ -3936,5 +3938,5 @@
           dist_nys    = MAX( inflow_disturbance_begin, nys )
           dist_nyn(1) = MIN( inflow_disturbance_end, nyn )
-       ELSEIF ( bc_ns == 'nested'  .OR.  bc_ns == 'forcing' )  THEN
+       ELSEIF ( bc_ns == 'nested'  .OR.  bc_ns == 'nesting_offline' )  THEN
           dist_nys    = MAX( inflow_disturbance_begin, nys )
           dist_nyn    = MIN( ny - inflow_disturbance_begin, nyn )
@@ -3949,5 +3951,5 @@
           dist_nxl    = inflow_disturbance_begin
           dist_nxr(1) = inflow_disturbance_end
-       ELSEIF ( bc_lr == 'nested'  .OR.  bc_lr == 'forcing' )  THEN
+       ELSEIF ( bc_lr == 'nested'  .OR.  bc_lr == 'nesting_offline' )  THEN
           dist_nxr    = nx - inflow_disturbance_begin
           dist_nxl    = inflow_disturbance_begin
@@ -3959,5 +3961,5 @@
           dist_nys    = inflow_disturbance_begin
           dist_nyn(1) = inflow_disturbance_end
-       ELSEIF ( bc_ns == 'nested'  .OR.  bc_ns == 'forcing' )  THEN
+       ELSEIF ( bc_ns == 'nested'  .OR.  bc_ns == 'nesting_offline' )  THEN
           dist_nyn    = ny - inflow_disturbance_begin
           dist_nys    = inflow_disturbance_begin
@@ -4403,5 +4405,5 @@
        ELSEIF ( bc_t == 'initial_gradient' )  THEN
           ibc_t = 2
-       ELSEIF ( bc_t == 'nested'  .OR.  bc_t == 'forcing' )  THEN
+       ELSEIF ( bc_t == 'nested'  .OR.  bc_t == 'nesting_offline' )  THEN
           ibc_t = 3
        ELSE
Index: palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3178)
+++ palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3182)
@@ -22,5 +22,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Rename flags indicating outflow boundary conditions
 ! 
 ! Former revisions:
@@ -291,14 +291,15 @@
                                                                                   
     USE control_parameters,                                                    &  
-        ONLY: air_chemistry, outflow_l, outflow_n, outflow_r, outflow_s                 
+        ONLY:  air_chemistry, bc_radiation_l, bc_radiation_n, bc_radiation_r,  &
+               bc_radiation_s                
     USE indices,                                                               &  
-        ONLY: nxl, nxr,  nxlg, nxrg, nyng, nysg, nzt                              
+        ONLY:  nxl, nxr,  nxlg, nxrg, nyng, nysg, nzt                              
                                                                                   
 !    USE prognostic_equations_mod,                                             &
 
     USE arrays_3d,                                                             &     
-        ONLY: dzu                                                
+        ONLY:  dzu                                                
     USE surface_mod,                                                           &
-        ONLY: bc_h                                                           
+        ONLY:  bc_h                                                           
 
     CHARACTER (len=*), INTENT(IN) :: mode
@@ -420,17 +421,17 @@
 !--          Lateral boundary conditions for chem species at outflow boundary 
 
-          IF ( outflow_s )  THEN
+          IF ( bc_radiation_s )  THEN
              DO lsp = 1, nspec
                 chem_species(lsp)%conc_p(:,nys-1,:) = chem_species(lsp)%conc_p(:,nys,:)
              ENDDO
-          ELSEIF ( outflow_n )  THEN
+          ELSEIF ( bc_radiation_n )  THEN
              DO lsp = 1, nspec
                 chem_species(lsp)%conc_p(:,nyn+1,:) = chem_species(lsp)%conc_p(:,nyn,:)
              ENDDO
-          ELSEIF ( outflow_l )  THEN
+          ELSEIF ( bc_radiation_l )  THEN
              DO lsp = 1, nspec
                 chem_species(lsp)%conc_p(:,:,nxl-1) = chem_species(lsp)%conc_p(:,:,nxl)
              ENDDO
-          ELSEIF ( outflow_r )  THEN
+          ELSEIF ( bc_radiation_r )  THEN
              DO lsp = 1, nspec
                 chem_species(lsp)%conc_p(:,:,nxr+1) = chem_species(lsp)%conc_p(:,:,nxr)
